Aplicativo Android não acessa API no SDK mais recente(28) – Android Studio

Bom dia, desenvolvi uma app utilizando android studio que não acessa web service em uma versão do SDK do android, mais especificamente o SDK 28. Eu já declarei no android manifest o target SDK:

<uses-sdk android:minSdkVersion="15"     android:targetSdkVersion="28"     android:maxSdkVersion="28" /> 

e também no Gradle:

android { compileSdkVersion 28 defaultConfig {     applicationId "com.companyname.myapp"     minSdkVersion 15     targetSdkVersion 28     versionCode 1.0     versionName "1.0"     testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner" } buildTypes {     release {         minifyEnabled false         proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'     } } 

alguém sabe como resolver esse problema? já busquei informação diretamente na documentação oficial (https://developer.android.com/about/versions/pie/android-9.0-changes-28?hl=pt-BR), mas não encontrei nada para resolver o problema. Desde já agradeço a quem puder ajudar.

Obs: a classe que uso para consumo do web service é HttpURLConnection.